Revert "Make several attempts to get a valid cell if there is a failure"
This reverts commit ee6231f131efef69ed09332113b28c3b3ae9c30a.
Change-Id: I56bdc8fedd923983927e96387ad3dd5d6e43e146
diff --git a/jjb/onos/onos-run-stc-hag.sh b/jjb/onos/onos-run-stc-hag.sh
index 2a036c1..ae6bb02 100644
--- a/jjb/onos/onos-run-stc-hag.sh
+++ b/jjb/onos/onos-run-stc-hag.sh
@@ -1,5 +1,8 @@
#!/bin/bash
+# exit on errors
+set -eu -o pipefail
+
# initialize build environment
ONOS_ROOT=`pwd`
. tools/build/envDefaults
@@ -16,24 +19,8 @@
trap cleanup EXIT
-let err=0
# grab a cell to run on
-for i in 1 2 3 4 5; do
- cell borrow 30 3+1 jenkins-${ONOS_VERSION}
- if [ $? -eq 0 ]; then
- let err=0
- break
- fi
- let err=$err+1
- cell return
-done
-
-if [ $? -ne 0 ]; then
- exit 1
-fi
-
-# exit on errors
-set -eu -o pipefail
+cell borrow 30 3+1 jenkins-${ONOS_VERSION}
# build onos bits
onos-buck build onos